<?php
/**
 *
 * @package   Woo Dognet
 * @author    Vladislav Musílek, Jan Čejka
 * @license   GPL-2.0+
 * @link      http://toret.cz
 * @copyright Vladislav Musílek, Jan Čejka
 *
 * Plugin Name:       Woo Dognet
 * Description:       Přidání konverzního a retargetingového kódu pro Dognet
 * Version:           1.3
 * Author:            Vladislav Musílek, Jan Čejka
 * Author URI:        http://toret.cz
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

/*----------------------------------------------------------------------------*
 * Public-Facing Functionality
 *----------------------------------------------------------------------------*/

require_once plugin_dir_path(__FILE__) . 'public/class-woo-dognet.php';

/*
 * Register hooks that are fired when the plugin is activated or deactivated.
 * When the plugin is deleted, the uninstall.php file is loaded.
 *
 */
register_activation_hook(__FILE__, array('Woo_Dognet', 'activate'));
register_deactivation_hook(__FILE__, array('Woo_Dognet', 'deactivate'));

add_action('plugins_loaded', array('Woo_Dognet', 'get_instance'));

/*----------------------------------------------------------------------------*
 * Dashboard and Administrative Functionality
 *----------------------------------------------------------------------------*/

if (is_admin() && (!defined('DOING_AJAX') || !DOING_AJAX)) {
    require_once plugin_dir_path(__FILE__) . 'admin/class-woo-dognet-admin.php';
    add_action('plugins_loaded', array('Woo_Dognet_Admin', 'get_instance'));
}


/**
 *
 * Check WooCommerce version
 *
 */ 
if( !function_exists( 'toret_check_wc_version' ) ){

    function toret_check_wc_version( $version = '2.6.14' ){
        if ( function_exists( 'WC' ) && ( version_compare( WC()->version, $version, ">" ) ) ) {
            return true;
        }else{
            return false;
        }
    }   
}